drop table warehouse;

drop table district;

drop table customer;

drop table history;

drop table oorder;

drop table new_order;

drop table order_line;

drop table stock;

drop table item;



create table warehouse
(
	w_id		number(5,0),
	w_ytd		number,
	w_tax		number,
	w_name		varchar2(10),
	w_street_1	varchar2(20),
	w_street_2	varchar2(20),
	w_city		varchar2(20),
	w_state		char(2),
	w_zip		char(9)
) tablespace tpcc;


create table district
(
	d_id		number(2,0),
	d_w_id		number(5,0),
	d_ytd		number,
	d_tax		number,
	d_next_o_id	number,
	d_name		varchar2(10),
	d_street_1	varchar2(20),
	d_street_2	varchar2(20),
	d_city		varchar2(20),
	d_state		char(2),
	d_zip		char(9)
) tablespace tpcc;


create table customer
(
	c_id		number(5,0),
	c_d_id		number(2,0),
	c_w_id		number(5,0),
	c_discount	number,
	c_credit	char(2),
	c_last		varchar2(16),
	c_first		varchar2(16),
	c_credit_lim	number,
	c_balance	number,
	c_ytd_payment	number,
	c_payment_cnt	number,
	c_delivery_cnt	number,
	c_street_1	varchar2(20),
	c_street_2	varchar2(20),
	c_city		varchar2(20),
	c_state		char(2),
	c_zip		char(9),
	c_phone		char(16),
	c_since		date,
	c_middle	char(2),
	c_data		varchar2(500)
) tablespace tpcc;


create table history
(
	h_c_id		number,
	h_c_d_id	number,
	h_c_w_id	number,
	h_d_id		number,
	h_w_id		number,
	h_date		date,
	h_amount	number,
	h_data		varchar2(24)
) tablespace tpcc;


create table oorder
(
	o_id 		number,
	o_w_id		number,
	o_d_id		number,
	o_c_id 		number,
	o_carrier_id 	number,
	o_ol_cnt	number,
	o_all_local 	number,
	o_entry_d 	date
) tablespace tpcc;


create table new_order
(
	no_w_id		number,
	no_d_id		number,
	no_o_id		number
) tablespace tpcc;


create table order_line
(
	ol_w_id		number,
	ol_d_id		number,
	ol_o_id		number,
	ol_number	number,
	ol_i_id		number,
	ol_delivery_d	date,
	ol_amount	number,
	ol_supply_w_id	number,
	ol_quantity	number,
	ol_dist_info	char(24)
) tablespace tpcc;


create table stock
(
	s_i_id		number(6,0),
	s_w_id		number(5,0),
	s_quantity	number,
	s_ytd		number,
	s_order_cnt	number,
	s_remote_cnt	number,
	s_data		varchar2(50),
	s_dist_01	char(24),
	s_dist_02	char(24),
	s_dist_03	char(24),
	s_dist_04	char(24),
	s_dist_05	char(24),
	s_dist_06	char(24),
	s_dist_07	char(24),
	s_dist_08	char(24),
	s_dist_09	char(24),
	s_dist_10	char(24)
) tablespace tpcc;


create table item
(
	i_id		number(6,0),
	i_name		varchar2(24),
	i_price		number,
	i_data		varchar2(50),
	i_im_id		number
) tablespace tpcc;



alter table district
    add constraint pk_district primary key (d_w_id, d_id);

alter table customer
    add constraint pk_customer primary key (c_w_id, c_d_id, c_id);

alter table new_order
    add constraint pk_new_order primary key (no_w_id, no_d_id, no_o_id);

alter table oorder
    add constraint pk_order primary key (o_w_id, o_d_id, o_id);

alter table order_line
    add constraint pk_order_line primary key (ol_w_id, ol_d_id, ol_o_id, ol_number);

alter table item
    add constraint pk_item primary key (i_id);

alter table stock
    add constraint pk_stock primary key (s_w_id, s_i_id);

alter table warehouse
    add constraint pk_warehouse primary key (w_id);
