/*
 * jTPCCConfig - Basic configuration parameters for jTPCC
 *
 * Copyright (C) 2003, Raul Barbosa <rbarbosa@student.dei.uc.pt>
 *
 * jTPCC is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import java.text.*;

public interface jTPCCConfig
{
    public final static String JTPCCVERSION = "1.1.0";

    public final static boolean OUTPUT_MESSAGES = true;
    public final static boolean TERMINAL_MESSAGES = true;
    public final static int NEW_ORDER = 1, PAYMENT = 2, ORDER_STATUS = 3, DELIVERY = 4, STOCK_LEVEL = 5;

    public final static String[] nameTokens = {"BAR", "OUGHT", "ABLE", "PRI", "PRES", "ESE", "ANTI", "CALLY", "ATION", "EING"};

    public final static String terminalPrefix = "Term-";
    public final static String reportFilePrefix = "reports/jtpcc_session_";
    public final static String defaultDatabase = "jdbc:oracle:thin:@localhost:1521:homedb";
    public final static String defaultUsername = "tpcc";
    public final static String defaultPassword = "tpcc";
    public final static String defaultDriver = "oracle.jdbc.driver.OracleDriver";
    public final static String defaultNumWarehouses = "10";
    public final static String defaultNumTerminals = "1";
    public final static String defaultPaymentWeight = "43";
    public final static String defaultOrderStatusWeight = "4";
    public final static String defaultDeliveryWeight = "4";
    public final static String defaultStockLevelWeight = "4";
    public final static String defaultTransactionsPerTerminal = "30";
    public final static String defaultMinutes = "60";
    public final static boolean defaultRadioTime = true;
    public final static boolean defaultDebugMessages = false;
    public final static SimpleDateFormat dateFormat = new SimpleDateFormat("dd-MM-yyyy HH:mm:ss");
}